# $Revision: 1.7 $, $Date: 2004/08/19 11:24:35 $
Summary:	Radiusclient library and tools
Summary(pl):	Biblioteka radiusclient oraz narzdzia
Name:		radiusclient
Version:	0.3.2
Release:	3
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.cityline.net/pub/radiusclient/%{name}-%{version}.tar.gz
# Source0-md5:	dd6a85f2f6fcb944cbf1dddd05ab132f
Patch0:		%{name}-am_ac.patch
Patch1:		%{name}-nolibs.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Radiusclient is a /bin/login replacement which gets called by a getty
to log in a user and to setup the user's login environment. Normal
login programs just check the login name and password which the user
entered against the local password file (/etc/passwd, /etc/shadow). In
contrast to that Radiusclient also uses the RADIUS protocol to
authenticate the user.

%description -l pl
Radiusclient jest zamiennikiem /bin/login wywoywanym przez getty
w celu umoliwienia uytkownikowi zalogowania si. Normalne programy
typu login sprawdzaj nazw uytkownika oraz haso wzgldem lokalnego
pliku (/etc/passwd, /etc/shadow). W przeciwiestwie do nich
Radiusclient uywa take protokou RADIUS w celu uwierzytelnienia
uytkownika.

%package devel
Summary:	Header files for radiusclient library
Summary(pl):	Pliki nagwkowe biblioteki radiusclient
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files for radiusclient library.

%description devel -l pl
Pliki nagwkowe biblioteki radiusclient.

%package static
Summary:	Radiusclient static library
Summary(pl):	Statyczna biblioteka radiusclient
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Radiusclient static library.

%description static -l pl
Statyczna biblioteka Radiusclient.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-shadow \
	--enable-scp
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES COPYRIGHT README* doc/*.html
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%attr(750,root,root) %dir %{_sysconfdir}/radiusclient
%attr(640,root,root) %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/radiusclient/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: radiusclient.spec,v $
Revision 1.7  2004/08/19 11:24:35  undefine
- release 3

Revision 1.6  2003/11/27 19:36:39  qboosh
- added nolibs patch, fixed License(!), pl fixes, attr cosmetics
- release 2

Revision 1.5  2003/05/26 16:25:52  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 06:26:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/11/25 14:18:44  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/08/10 11:36:11  kloczek
- "rm -f missing" on top %build.

Revision 1.1  2002/08/10 11:20:40  misiek
- initial pld release
